Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl
Class TaskCommentServiceImpl

    java.lang.Object
      org.jbpm.services.task.impl.TaskCommentServiceImpl

All Implemented Interfaces:
  org.kie.internal.task.api.TaskCommentService

    public class TaskCommentServiceImpl

extends Object
implements org.kie.internal.task.api.TaskCommentService

Constructor Summary
`TaskCommentServiceImpl()`
`TaskCommentServiceImpl(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)`

Method Summary
`long` | `addComment(long taskId, Comment comment)`
`void` | `deleteComment(long taskId, long commentId)`
`List<Comment>` | `getAllCommentsByTaskId(long taskId)`
`Comment` | `getCommentById(long commentId)`
`void` | `setPersistenceContext(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskCommentServiceImpl

    public TaskCommentServiceImpl()

### TaskCommentServiceImpl

    public TaskCommentServiceImpl(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

Method Detail

### setPersistenceContext

    public void setPersistenceContext(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

### addComment

    public long addComment(long taskId,
                           Comment comment)

  Specified by:
    `addComment` in interface `org.kie.internal.task.api.TaskCommentService`

### deleteComment

    public void deleteComment(long taskId,
                              long commentId)

  Specified by:
    `deleteComment` in interface `org.kie.internal.task.api.TaskCommentService`

### getAllCommentsByTaskId

    public List<Comment> getAllCommentsByTaskId(long taskId)

  Specified by:
    `getAllCommentsByTaskId` in interface `org.kie.internal.task.api.TaskCommentService`

### getCommentById

    public Comment getCommentById(long commentId)

  Specified by:
    `getCommentById` in interface `org.kie.internal.task.api.TaskCommentService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.